<?php
/**
 * Sample implementation of the Custom Header feature.
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package Acme Themes
 * @subpackage Mercantile
 */

/**
 * Set up the WordPress core custom header feature.
 *
 * @uses mercantile_header_style()
 */
if ( ! function_exists( 'mercantile_custom_header_setup' ) ) :
	function mercantile_custom_header_setup() {
		add_theme_support( 'custom-header', apply_filters( 'mercantile_custom_header_args', array(
			'default-image'          => '',
			'width'                  => 1920,
			'height'                 => 1280,
			'flex-height'            => true
		) ) );
	}
endif;
add_action( 'after_setup_theme', 'mercantile_custom_header_setup' );