<?php
/*adding sections for category section in front page*/
$wp_customize->add_section( 'mercantile-feature-page', array(
    'priority'       => 20,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __( 'Feature Slider Selection', 'mercantile' ),
    'panel'          => 'mercantile-feature-panel'
) );

/* feature parent page selection */
$wp_customize->add_setting( 'mercantile_theme_options[mercantile-feature-page]', array(
    'capability'		=> 'edit_theme_options',
    'default'			=> $defaults['mercantile-feature-page'],
    'sanitize_callback' => 'mercantile_sanitize_number'
) );
$wp_customize->add_control( 'mercantile_theme_options[mercantile-feature-page]', array(
    'label'		    => __( 'Select Parent Page for Feature Slider', 'mercantile' ),
    'description'   => __( 'Select parent page and its sub-pages will be shown as slides.', 'mercantile' ),
    'section'       => 'mercantile-feature-page',
    'settings'      => 'mercantile_theme_options[mercantile-feature-page]',
    'type'	  	    => 'dropdown-pages',
    'priority'      => 10
) );

/* number of slider*/
$wp_customize->add_setting( 'mercantile_theme_options[mercantile-featured-slider-number]', array(
    'capability'		=> 'edit_theme_options',
    'default'			=> $defaults['mercantile-featured-slider-number'],
    'sanitize_callback' => 'mercantile_sanitize_select'
) );
$choices = mercantile_featured_slider_number();
$wp_customize->add_control( 'mercantile_theme_options[mercantile-featured-slider-number]', array(
    'choices'  	=> $choices,
    'label'		=> __( 'Number Of Slides', 'mercantile' ),
    'section'   => 'mercantile-feature-page',
    'settings'  => 'mercantile_theme_options[mercantile-featured-slider-number]',
    'type'	  	=> 'select',
    'priority'  => 20
) );