<?php
/**
 * Dynamic css
 *
 * @since Mercantile 1.0.0
 *
 * @param null
 * @return null
 *
 */
if ( ! function_exists( 'mercantile_dynamic_css' ) ) :

    function mercantile_dynamic_css() {

        global $mercantile_customizer_all_values;
        /*Color options */
        $mercantile_primary_color = $mercantile_customizer_all_values['mercantile-primary-color'];
        $custom_css = '';

        /*background*/
        if( get_header_image() ){
            $bg_image_url = get_header_image();
        }
        else{
            $bg_image_url =   get_template_directory_uri()."/assets/img/startup-slider.jpg";
        }
        $custom_css .= "
              .inner-main-title {
                background-image:url('{$bg_image_url}');
                background-repeat:no-repeat;
                background-size:cover;
                background-attachment:fixed;
                background-position: center;
            }";
        /*color*/
        $custom_css .= "
            a:hover,
            a:active,
            a:focus,
            .btn-primary:hover,
            .wpcf7-form input.wpcf7-submit:hover,
            .widget li a:hover,
            .posted-on a:hover,
            .cat-links a:hover,
            .comments-link a:hover,
            article.post .entry-header .entry-title a:hover, 
            article.page .entry-header .entry-title a:hover,
            .edit-link a:hover,
            .tags-links a:hover,
            .byline a:hover,
            .nav-links a:hover,
            .owl-buttons >div i,
            .col-details > h2,
            .main-navigation ul ul a:hover,
             .primary-color,
             #mercantile-breadcrumbs .breadcrumb-container a:hover,
             .contact-form i{
                color: {$mercantile_primary_color};
            }";

        /*background color*/
        $custom_css .= "
            .navbar .navbar-toggle:hover,
            .main-navigation .acme-normal-page .current_page_item,
            .main-navigation .acme-normal-page .current-menu-item,
            .main-navigation .active ,
            .main-navigation .navbar-nav >li:hover,
            .comment-form .form-submit input,
            .read-more,
            .btn-primary,
            .circle,
            .rectangle,
            .wpcf7-form input.wpcf7-submit,
            .breadcrumb,
            .owl-buttons >div i:hover,
            .top-header,
            .sm-up-container,
            .testimonial-content,
            .team-item :hover,
            .primary-bg-color{
                background-color: {$mercantile_primary_color};
                color:#fff;
            }";

        /*borders*/
        $custom_css .= "
            .comment-form .form-submit input,
            .read-more,
            .at-btn-wrap .btn-primary,
            .wpcf7-form input.wpcf7-submit,
            .rectangle,
            .contact-form i{
                border: 1px solid {$mercantile_primary_color};
            }";

        $custom_css .= "
            article.post .entry-header, 
            article.page .entry-header,
             .at-remove-width .widget-title{
                border-left: 3px solid {$mercantile_primary_color};
            }";
        $custom_css .= "
            .blog article.sticky {
                border-top: 2px solid {$mercantile_primary_color};
            }";

        $custom_css .= "
             .breadcrumb::after {
                border-left: 5px solid {$mercantile_primary_color};
            }";

        /*custom css*/
        /*custom css*/
        $mercantile_custom_css = wp_strip_all_tags ( $mercantile_customizer_all_values['mercantile-custom-css'] );
        if ( ! empty( $mercantile_custom_css ) ) {
            $custom_css .= $mercantile_custom_css;
        }
        wp_add_inline_style( 'mercantile-style', $custom_css );
    }
endif;
add_action( 'wp_enqueue_scripts', 'mercantile_dynamic_css', 99 );